using System;

namespace Syntriax.Engine.Core;

public readonly struct EngineTime(TimeSpan Total, TimeSpan Elapsed)
{
    public readonly TimeSpan Total = Total;
    public readonly TimeSpan Elapsed = Elapsed;

    public readonly float DeltaTimeFrame = (float)Elapsed.TotalMilliseconds;
}
